package eu.etaxonomy.taxeditor.featuretree;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.wizard.WizardDialog;

import eu.etaxonomy.taxeditor.store.StoreUtil;

/**
 * 
 * @author a.kohlbecker
 *
 */
public class OpenFeatureTreeEditorWizardHandler extends AbstractHandler {
	
	/**
	 * unused, only added as reference
	 */
	String commandID = "eu.etaxonomy.taxeditor.store.open.FeatureTreeEditorWizard"; 

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		FeatureTreeEditorWizard featureTreeEditorDialog = new FeatureTreeEditorWizard();
		WizardDialog dialog = new WizardDialog(StoreUtil.getShell(),
				featureTreeEditorDialog);

		dialog.open();
		return null;
	}

}
